Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F156393194
D27304.id79828.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
1 KB
Referenced Files
None
Subscribers
None
D27304.id79828.diff
View Options
Index: Mk/Scripts/qa.sh
===================================================================
--- Mk/Scripts/qa.sh
+++ Mk/Scripts/qa.sh
@@ -647,7 +647,7 @@
}
proxydeps() {
- local file dep_file dep_file_pkg already rc
+ local file dep_file dep_file_pkg already rc dep_lib_file dep_lib_files
rc=0
@@ -691,6 +691,8 @@
rc=1
fi
already="${already} ${dep_file}"
+ dep_lib_file=$(basename ${dep_file})
+ dep_lib_files="${dep_lib_files} ${dep_lib_file%%.so*}.so"
done <<-EOT
$(env LD_LIBMAP_DISABLE=1 ldd -a "${STAGEDIR}${file}" | \
awk '
@@ -706,6 +708,13 @@
sed -e 's/^\.//')
EOT
+ # Check whether all files in LIB_DPEENDS are actually linked against
+ for _library in ${WANTED_LIBRARIES} ; do
+ if ! listcontains ${_library} "${dep_lib_files}" ; then
+ warn "you might not need LIB_DEPENDS on ${_library}"
+ fi
+ done
+
[ -z "${PROXYDEPS_FATAL}" ] && return 0
return ${rc}
Index: Mk/bsd.port.mk
===================================================================
--- Mk/bsd.port.mk
+++ Mk/bsd.port.mk
@@ -1640,6 +1640,7 @@
PKGORIGIN=${PKGORIGIN} \
LIB_RUN_DEPENDS='${_LIB_RUN_DEPENDS:C,[^:]*:([^:]*):?.*,\1,}' \
UNIFIED_DEPENDS=${_UNIFIED_DEPENDS:C,([^:]*:[^:]*):?.*,\1,:O:u:Q} \
+ WANTED_LIBRARIES='${LIB_DEPENDS:C,([^:]*):([^:]*):?.*,\1,}' \
PKGBASE=${PKGBASE} \
LICENSE="${LICENSE}" \
LICENSE_PERMS="${_LICENSE_PERMS}" \
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Thu, May 14, 7:52 AM (8 h, 25 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
33034121
Default Alt Text
D27304.id79828.diff (1 KB)
Attached To
Mode
D27304: sanity: warn about unnused LIB_DEPENDS entries
Attached
Detach File
Event Timeline
Log In to Comment